Page MenuHomePhabricator

VisualEditor: Extend the rich TemplateData editor to be used inside VE
Closed, ResolvedPublic0 Story Points

Description

It has been mentioned in some places[1][2] that the JSON syntax might be a problem for typical (non-technical) users, so I suggest creating a plugin for editing the content of the <templatedata> tags.

[1] https://commons.wikimedia.org/wiki/Template_talk:Information#Adding_TemplateData_information
[2] https://pt.wikipedia.org/wiki/WP:Café_dos_programadores#Mais_uma_novidade:_TemplateData


Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=51734

Details

Reference
bz50169

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 2:03 AM
bzimport set Reference to bz50169.
He7d3r created this task.Jun 25 2013, 11:43 AM

See also bug 50370 comment 1.

A user on fr.wikipedia seems to have developed a user script to easily add TemplateData to a template:
https://fr.wikipedia.org/wiki/Utilisateur:Ltrlg/scripts/TemplateDataEditor.js

This might be of interest while developing a similar VE module.

He7d3r added a comment.Jul 8 2013, 3:00 PM

Created attachment 12786
Screenshot of the form provided by the user script from frwiki

(In reply to comment #2)

A user on fr.wikipedia seems to have developed a user script to easily add
TemplateData to a template:
https://fr.wikipedia.org/wiki/Utilisateur:Ltrlg/scripts/TemplateDataEditor.js
This might be of interest while developing a similar VE module.

For convenience, I've attached a screenshot of the form generated by that script.

Attached:

Esanders closed this task as Resolved.Oct 16 2016, 5:58 PM
Esanders claimed this task.
Esanders added a subscriber: Esanders.

We created a template data editor a few years ago.

Jdforrester-WMF reopened this task as Open.Oct 20 2016, 5:31 PM

No, this is for editing TemplateData blocks nicely once we enable Template: namespace editing in VE (and the 2017 wikitext editor).

Jdforrester-WMF closed this task as Resolved.Jan 4 2017, 6:30 PM
Jdforrester-WMF set the point value for this task to 0.
Jdforrester-WMF moved this task from Freezer to TR1: Releases on the VisualEditor board.